Subject: Re: bug#58558: 29.0.50; re-search-forward is slow in some buffers

From: Eli Zaretskii <[email-masked]>
Date: Thu, 06 Apr 2023 15:05:50 +0300

> From: Ihor Radchenko <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> Date: Thu, 06 Apr 2023 11:49:52 +0000
> 
> As you can see on the attached graph, the number of markers is ~1000, and
> it is not significantly different for the two Emacs versions.
> 
> So, the number of markers itself does not look like the real culprit.

That's one potential reason down, thanks.

> I have no better ideas for now except slowly bisecting Emacs (again).

I think we should first go back to using perf.  I don't think you
compared profiles for Emacs which just started with one that was
running long enough to show the slowdown.  Comparing such profiles
should at least give us a hint where to look.